> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/tasks.md).

# Tasks

## GET /tasks

> List Tasks

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Task":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","nullable":false,"description":"The ID of the Task. Ignored when creating & updating tasks."},"title":{"type":"string","nullable":false,"description":"The title of the Task."},"dealId":{"type":"string","nullable":false,"description":"The deal ID this task is associated with"},"owner":{"type":"object","nullable":false,"$ref":"#/components/schemas/Owner"},"notes":{"type":"string","nullable":true,"description":"A note about this task"},"completed":{"type":"boolean","nullable":true,"description":"Whether the task has been completed"},"timestamp":{"type":"object","nullable":false,"$ref":"#/components/schemas/TaskTimestamp"}}},"Owner":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique user ID"},"firstName":{"type":"string","description":"The first name of the user"},"lastName":{"type":"string","description":"The last name of the user"},"title":{"type":"string","description":"The job title of the user"},"email":{"type":"string","description":"The email address of the user"},"phoneNumber":{"type":"string","description":"The phone number of the user"},"phoneExtension":{"type":"string","description":"The phone extension of the user"}}},"TaskTimestamp":{"type":"object","additionalProperties":false,"properties":{"created":{"type":"number","description":"The timestamp when this entity was created"},"updated":{"type":"number","description":"The timestamp when this entity was last updated"},"start":{"type":"number","description":"The timestamp when this task is scheduled to start"},"completed":{"type":"number","description":"The timestamp when this task was completed"}}},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/tasks":{"get":{"summary":"List Tasks","operationId":"listTasks","tags":["Tasks"],"parameters":[{"name":"page","in":"query","schema":{"type":"integer","format":"int32","minimum":1}},{"name":"perPage","in":"query","schema":{"type":"integer","format":"int32","minimum":1,"maximum":100}},{"name":"query","in":"query","allowReserved":true,"schema":{"type":"string"}},{"name":"sort","in":"query","schema":{"type":"string"}},{"name":"sortDir","in":"query","schema":{"type":"string","enum":["asc","desc"]}}],"responses":{"200":{"description":"List of tasks","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"page":{"type":"number"},"perPage":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/Task"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /tasks

> Create Task

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Task":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","nullable":false,"description":"The ID of the Task. Ignored when creating & updating tasks."},"title":{"type":"string","nullable":false,"description":"The title of the Task."},"dealId":{"type":"string","nullable":false,"description":"The deal ID this task is associated with"},"owner":{"type":"object","nullable":false,"$ref":"#/components/schemas/Owner"},"notes":{"type":"string","nullable":true,"description":"A note about this task"},"completed":{"type":"boolean","nullable":true,"description":"Whether the task has been completed"},"timestamp":{"type":"object","nullable":false,"$ref":"#/components/schemas/TaskTimestamp"}}},"Owner":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique user ID"},"firstName":{"type":"string","description":"The first name of the user"},"lastName":{"type":"string","description":"The last name of the user"},"title":{"type":"string","description":"The job title of the user"},"email":{"type":"string","description":"The email address of the user"},"phoneNumber":{"type":"string","description":"The phone number of the user"},"phoneExtension":{"type":"string","description":"The phone extension of the user"}}},"TaskTimestamp":{"type":"object","additionalProperties":false,"properties":{"created":{"type":"number","description":"The timestamp when this entity was created"},"updated":{"type":"number","description":"The timestamp when this entity was last updated"},"start":{"type":"number","description":"The timestamp when this task is scheduled to start"},"completed":{"type":"number","description":"The timestamp when this task was completed"}}},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/tasks":{"post":{"summary":"Create Task","operationId":"createTask","tags":["Tasks"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Task"}}}},"responses":{"200":{"description":"Details about the new Task","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Task"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /tasks/{id}

> Retrieve Task

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Task":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","nullable":false,"description":"The ID of the Task. Ignored when creating & updating tasks."},"title":{"type":"string","nullable":false,"description":"The title of the Task."},"dealId":{"type":"string","nullable":false,"description":"The deal ID this task is associated with"},"owner":{"type":"object","nullable":false,"$ref":"#/components/schemas/Owner"},"notes":{"type":"string","nullable":true,"description":"A note about this task"},"completed":{"type":"boolean","nullable":true,"description":"Whether the task has been completed"},"timestamp":{"type":"object","nullable":false,"$ref":"#/components/schemas/TaskTimestamp"}}},"Owner":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique user ID"},"firstName":{"type":"string","description":"The first name of the user"},"lastName":{"type":"string","description":"The last name of the user"},"title":{"type":"string","description":"The job title of the user"},"email":{"type":"string","description":"The email address of the user"},"phoneNumber":{"type":"string","description":"The phone number of the user"},"phoneExtension":{"type":"string","description":"The phone extension of the user"}}},"TaskTimestamp":{"type":"object","additionalProperties":false,"properties":{"created":{"type":"number","description":"The timestamp when this entity was created"},"updated":{"type":"number","description":"The timestamp when this entity was last updated"},"start":{"type":"number","description":"The timestamp when this task is scheduled to start"},"completed":{"type":"number","description":"The timestamp when this task was completed"}}},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/tasks/{id}":{"get":{"summary":"Retrieve Task","operationId":"getTask","tags":["Tasks"],"parameters":[{"name":"id","in":"path","description":"ID of the Task","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the task","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Task"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /tasks/{id}

> Update Task

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Owner":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique user ID"},"firstName":{"type":"string","description":"The first name of the user"},"lastName":{"type":"string","description":"The last name of the user"},"title":{"type":"string","description":"The job title of the user"},"email":{"type":"string","description":"The email address of the user"},"phoneNumber":{"type":"string","description":"The phone number of the user"},"phoneExtension":{"type":"string","description":"The phone extension of the user"}}},"TaskTimestamp":{"type":"object","additionalProperties":false,"properties":{"created":{"type":"number","description":"The timestamp when this entity was created"},"updated":{"type":"number","description":"The timestamp when this entity was last updated"},"start":{"type":"number","description":"The timestamp when this task is scheduled to start"},"completed":{"type":"number","description":"The timestamp when this task was completed"}}},"Task":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","nullable":false,"description":"The ID of the Task. Ignored when creating & updating tasks."},"title":{"type":"string","nullable":false,"description":"The title of the Task."},"dealId":{"type":"string","nullable":false,"description":"The deal ID this task is associated with"},"owner":{"type":"object","nullable":false,"$ref":"#/components/schemas/Owner"},"notes":{"type":"string","nullable":true,"description":"A note about this task"},"completed":{"type":"boolean","nullable":true,"description":"Whether the task has been completed"},"timestamp":{"type":"object","nullable":false,"$ref":"#/components/schemas/TaskTimestamp"}}},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/tasks/{id}":{"put":{"summary":"Update Task","parameters":[{"name":"id","in":"path","description":"ID of the Task","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"title":{"type":"string","nullable":false,"description":"The title of the Task."},"dealId":{"type":"string","nullable":false,"description":"The deal ID this task is associated with"},"owner":{"type":"object","nullable":false,"$ref":"#/components/schemas/Owner"},"notes":{"type":"string","nullable":true,"description":"A note about this task"},"completed":{"type":"boolean","nullable":true,"description":"Whether the task has been completed"},"timestamp":{"type":"object","nullable":false,"$ref":"#/components/schemas/TaskTimestamp"}},"required":["dealId","owner"]}}}},"operationId":"updateTask","tags":["Tasks"],"responses":{"200":{"description":"The updated task","content":{"application/json":{"schema":{"additionalProperties":false,"$ref":"#/components/schemas/Task"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /tasks/{id}

> Delete Task

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/tasks/{id}":{"delete":{"summary":"Delete Task","parameters":[{"name":"id","in":"path","description":"ID of the Task","required":true,"schema":{"type":"string"}}],"operationId":"deleteTask","tags":["Tasks"],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.paintscout.com/developers/tasks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
